Issue 99432 - Move some more tab pages from sfx to cui
Summary: Move some more tab pages from sfx to cui
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 3.0.1
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: b.osi.ooo
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 4579
  Show dependency tree
 
Reported: 2009-02-19 20:43 UTC by Mathias_Bauer
Modified: 2009-05-14 12:18 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Mathias_Bauer 2009-02-19 20:43:48 UTC
The keyboard shortcut tabpage and the macro assignment tabpage should be part of
cui. This is a necessary precondition to enable shortcuts for special characters.
Comment 1 Mathias_Bauer 2009-02-19 20:45:13 UTC
worked on in cws mba32issues01
Comment 2 Mathias_Bauer 2009-03-03 06:22:31 UTC
While consolidating the libraries, it turned out that SfxAbstractSingleTabDialog
can be replaced by an interface SfxAbstractDialog. This can also save us some
virtual methods in the factory.
Comment 3 Mathias_Bauer 2009-03-04 11:59:58 UTC
fixed in cws mba32issues01
Comment 4 Mathias_Bauer 2009-04-03 16:54:56 UTC
As a further optimization the folder svx/source/dialog was split up into
"dialog" and "cui" and some more files have been moved to cui.
Comment 5 b.osi.ooo 2009-04-22 18:36:46 UTC
adopted testautomation
Sending        hid/hid.lst
Sending        sid/all.sid
Sending        sid/e_all.sid
Sending        win/dial_i_o.win
Sending        win/tab_h_o.win
Sending        win/tab_t_z.win
Transmitting file data ......
Committed revision 271138.
Comment 6 b.osi.ooo 2009-04-28 09:46:09 UTC
All the information about the changes was just communicated in private mail to
the former owner of the cws, but this belongs to this issue; I would like to
keep it at a public place, now that I used forensic methods to get to the same
conclusion, but with more time spend on it:
> DEV300_m45
>
> mb32issues01
>
> Reason

> HID_ACCELCONFIG_LISTBOX 33143
> HID_CONFIGFUNCTION_ACC_LISTBOX 33306
> HID_CONFIGGROUP_ACC_LISTBOX 33307
> HID_CONFIG_ACCEL 33080
>         
> HID_ACCELCONFIG_LISTBOX 40078
> HID_CONFIGFUNCTION_ACC_LISTBOX 40080
> HID_CONFIGGROUP_ACC_LISTBOX 40079
> HID_CONFIG_ACCEL 40077
>         
> AccelConfigTabPage moved sfx2->svx(cui)

> HID_MACROCHECKDIALOG 33381
> HID_MACRO_GROUP 33155
> HID_MACRO_HEADERTABLISTBOX 33380
> HID_MACRO_LB_EVENT 33132
> HID_MACRO_MACROS 33156
> 	
> HID_MACROCHECKDIALOG 40084
> HID_MACRO_GROUP 40082
> HID_MACRO_HEADERTABLISTBOX 40085
> HID_MACRO_LB_EVENT 40081
> HID_MACRO_MACROS 40083
>
> MacroAssignTabPage move sfx2->svx(cui)

> SID_BULLET 27019
>
> SID_BULLET replace by SID_INSERT_SYMBOL

> SID_DEFAULTFILENAME 6717
> 	
> SID_DEFAULTFILENAME 6716
>
> Internal ID change

> svx:ListBox:RID_SVXPAGE_EVENTASSIGN:LB_SCRIPTTYPE 705678856
> svx:PushButton:RID_SVXPAGE_EVENTASSIGN:PB_ASSIGN 705679875
> svx:PushButton:RID_SVXPAGE_EVENTASSIGN:PB_DELETE 705679876
> svx:TabPage:RID_SVXPAGE_EVENTASSIGN 705675264
> 	
> sfx2:ListBox:RID_SFX_TP_MACROASSIGN:LB_SCRIPTTYPE 575786504
> sfx2:PushButton:RID_SFX_TP_MACROASSIGN:PB_ASSIGN 575787523
> sfx2:PushButton:RID_SFX_TP_MACROASSIGN:PB_DELETE 575787524
> sfx2:TabPage:RID_SFX_TP_MACROASSIGN 575782912
>
> MacroAssignTabPage move sfx2->svx(cui)

> svx:PushButton:RID_SVXPAGE_KEYBOARD:BTN_ACC_CHANGE 705516035
> svx:PushButton:RID_SVXPAGE_KEYBOARD:BTN_ACC_REMOVE 705516036
> svx:PushButton:RID_SVXPAGE_KEYBOARD:BTN_LOAD 705516072
> svx:PushButton:RID_SVXPAGE_KEYBOARD:BTN_RESET 705516052
> svx:PushButton:RID_SVXPAGE_KEYBOARD:BTN_SAVE 705516073
> svx:RadioButton:RID_SVXPAGE_KEYBOARD:RB_MODULE 705511981
> svx:RadioButton:RID_SVXPAGE_KEYBOARD:RB_OFFICE 705511980
> 	
> sfx2:PushButton:TP_CONFIG_ACCEL:BTN_ACC_CHANGE 575017475
> sfx2:PushButton:TP_CONFIG_ACCEL:BTN_ACC_REMOVE 575017476
> sfx2:PushButton:TP_CONFIG_ACCEL:BTN_LOAD 575017512
> sfx2:PushButton:TP_CONFIG_ACCEL:BTN_RESET 575017492
> sfx2:PushButton:TP_CONFIG_ACCEL:BTN_SAVE 575017513
> sfx2:RadioButton:TP_CONFIG_ACCEL:RB_MODULE 575013421
> sfx2:RadioButton:TP_CONFIG_ACCEL:RB_OFFICE 575013420
> 	
> AccelConfigTabPage moved sfx2->svx(cui)
Comment 7 Mathias_Bauer 2009-04-30 11:46:53 UTC
please verify
Comment 8 b.osi.ooo 2009-04-30 14:01:33 UTC
verified in cws mba32issues01
Comment 9 b.osi.ooo 2009-05-14 12:18:19 UTC
Integrated into DEV300m48 - closing